LINUX.ORG.RU

Не запускается Steam

 , , ,


1

1

Стоит Steam из репозитория, все пакеты обновлены, конфликтов в зависимостях нет.
При запуске вылетает ошибка:

[artkun@ArtKun-Desktop ~]$ steam
ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
Installing breakpad exception handler for appid(steam)/version(0_client)
/home/artkun/.local/share/Steam/steam.sh: line 287:  2055 Segmentation fault      (core dumped) $DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
Installing breakpad exception handler for appid(steam)/version(0_client)
/home/artkun/.local/share/Steam/steam.sh: line 287:  2101 Segmentation fault      (core dumped) $DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
Пробовал чистить директории steam в /home и .local, результат один. Ошибка вылетает сразу же, клиент не успевает начать обновления, никаких окон не вылезает.
Гуглеж ничего не дал, но привил подозрение на установленный из .run драйвер nvidia. Система x86_64.
Кто-нибудь встречал подобное?

★★★★★

Последнее исправление: ArtKun (всего исправлений: 1)

Ответ на: комментарий от Xe0N

А как ты их предлагаешь ставить еще? Собирать rpm не хочется, а версия из репозитория у меня плохо работает.

ArtKun ★★★★★
() автор топика
Ответ на: комментарий от Xe0N

У меня F17, и тут в репозитории только 304.64, который у меня вешает систему и показывает артефакты.

ArtKun ★★★★★
() автор топика
Ответ на: комментарий от toney

Какой зонд? :)
Почитай на форониксе про изменения в драйверах за последние полгода, Intel чуть ли не каждую неделю новые версии клепает, а чейнджлог nvidia можно вообще несколько дней читать. Даже AMD подтянулись, 13.1 очень даже ничего драйвер. В canonical зашевелились и допилили компиз, чтобы не мешал полноэкранным приложениям.
Этот зонд дал нашему линуксу такой пинок под зад, что без него мы бы еще года 2 ждали этих изменений.

ArtKun ★★★★★
() автор топика
Ответ на: комментарий от Ttt

А заставь на моей убунту стим перестать запускаться. И TF2 с собой прихвати.

// А тему сейчас гляну.

Kor03d ★★
()
Ответ на: комментарий от ArtKun

В canonical зашевелились и допилили компиз, чтобы не мешал полноэкранным приложениям.

Версию компиза можете сказать? А то хочу юнити...

FIL ★★★★
()
Ответ на: комментарий от FIL

Не знаю, компизом не пользуюсь, как и убунтой. Но это точно есть изкоробки в 12.10, а в 12.04 обещали бэкпортировать, только не знаю, сделали или нет.

ArtKun ★★★★★
() автор топика
Ответ на: комментарий от FIL

Я не знаю, в какой именно версии это есть. Читал только на форониксе, что патч уже запилили в апстрим 12.10 и разница действительно ощутима.

ArtKun ★★★★★
() автор топика

Вставь в /home/artkun/.local/share/Steam/steam.sh
в начало set -x и смотри на чём валится в сегфолт

imul ★★★★★
()
Ответ на: комментарий от ArtKun

ldd /home/artkun/.local/share/Steam/ubuntu12_32/steam
?
У меня выхлоп такой
linux-gate.so.1 (0xffffe000)
libX11.so.6 => /lib32/libX11.so.6 (0xf765a000)
librt.so.1 => /lib32/librt.so.1 (0xf7651000)
libm.so.6 => /lib32/libm.so.6 (0xf760e000)
libdl.so.2 => /lib32/libdl.so.2 (0xf7609000)
libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/32/libstdc++.so.6 (0xf751b000)
libpthread.so.0 => /lib32/libpthread.so.0 (0xf7500000)
libc.so.6 => /lib32/libc.so.6 (0xf734d000)
libxcb.so.1 => /lib32/libxcb.so.1 (0xf7332000)
/lib/ld-linux.so.2 (0xf77d9000)
libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/32/libgcc_s.so.1 (0xf7316000)
libXau.so.6 => /lib32/libXau.so.6 (0xf7311000)
libXdmcp.so.6 => /lib32/libXdmcp.so.6 (0xf730b000)

запусти руками
/home/artkun/.local/share/Steam/steam.sh
и потом руками
cd /home/artkun/.local/share/Steam/ubuntu12_32 ; strace steam

imul ★★★★★
()
Последнее исправление: imul (всего исправлений: 1)
  1. Опакетить драйвер;
  2. создать конфиг prelink'а для библиотек драйвера;
  3. установить драйвер, включая akmod-nvidia;
  4. отредактировать конфиг GRUB'а;
  5. обновить финальный конфиг загрузчика;
  6. создать конфиг dracut'а для nouveau;
  7. обновить initramfs;
  8. перезагрузиться.
carasin ★★★★★
()
Ответ на: комментарий от ArtKun

У меня F17

У меня тоже такое было. Я ставил много хлама пакетов, но после установки glib стим заработал. Не уверен что именно его не хватало, поскольку стим в тот день обновился, и ещё пару пакетов поставил.
В 18й федоре заработало сразу, но я её поставил 64-битную.

Dukat863
()
Ответ на: комментарий от imul

А вот мой:

        linux-gate.so.1 =>  (0xf7731000)
	libX11.so.6 => /lib/libX11.so.6 (0xf75df000)
	libm.so.6 => /lib/libm.so.6 (0xf75b4000)
	libdl.so.2 => /lib/libdl.so.2 (0xf75af000)
	libstdc++.so.6 => /lib/libstdc++.so.6 (0xf74c6000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xf74ab000)
	libc.so.6 => /lib/libc.so.6 (0xf72f9000)
	libxcb.so.1 => /lib/libxcb.so.1 (0xf72d7000)
	/lib/ld-linux.so.2 (0xf7732000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf72ba000)
	libXau.so.6 => /lib/libXau.so.6 (0xf72b6000)

strace steam выдает много чего, но мне не нравится:

Installing breakpad exception handler for appid(steam)/version(0_client)
[{WIFSIGNALED(s) && WTERMSIG(s) == SIGSEGV && WCOREDUMP(s)}], 0, NULL) = 9263
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/bash.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/bash.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/bash.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/bash.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
fstat(2, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fdec1251000
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "/home/artkun/.local/share/Steam/"..., 144/home/artkun/.local/share/Steam/steam.sh: line 287:  9263 Segmentation fault      (core dumped) $DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"

ArtKun ★★★★★
() автор топика
Ответ на: комментарий от ArtKun

Ну я тогда ХЗ. Можно ещё coredump посмотреть конечно, но без информации для отладки он бесполезен.

imul ★★★★★
()
Ответ на: комментарий от ArtKun

ну раз так, тогда возможно и неплохо... Только вот речь наверное идёт именно о блобах от Нвидии и АМД... Стало быть пнули не Линукс, а вышеперечисленные конторы

toney ★★★★★
()

Ttt Kor03d imul carasin

Если кому интересно - обновился до ядра 3.7, удалил драйвер 313.18, поставил (из .run) 310.32 и проблема решилась.

P.S: вчерашнее обновление стима ни при чем, после него ничего не поменялось. Дело было именно в драйвере.

ArtKun ★★★★★
() автор топика
Последнее исправление: ArtKun (всего исправлений: 1)
Ответ на: комментарий от ArtKun

Кстати об обновлении - нет нигде чейнджлогов бета-каналов?

Kor03d ★★
()
Ответ на: комментарий от ArtKun

Блин... Ну я же пошаговую инструкцию уже изложил выше. Не нужно ставить из файла *.run! Опакетить блоб — дело пяти минут. Ссыль на то, как это делать — вот (надеюсь, сам знаешь, откуда взять исходные *.src.rpm'ки). Был бы у меня сейчас нормальный интернет — я бы выложил готовые пакеты для F18.

Далее, я уже говорил про prelink. Ты блэклистил блобо-либы для prelink'а? Уж очень похоже на данный баг с сегфолтами.

А вообще, УМВР с 313.18, в т.ч. и steam.

carasin ★★★★★
()
Ответ на: комментарий от carasin

Не думаю, что проблема была в том, что я поставил из .run - ведь 310, с которым все работает - тоже из .run :D
Prelink у меня вообще в системе не установлен, так что он тут ни при чем. За ссылку спасибо, попробую, как будет время. Просто как-то не приходилось еще rpm собирать, ибо повода не было.

ArtKun ★★★★★
() автор топика
Последнее исправление: ArtKun (всего исправлений: 1)
Ответ на: комментарий от ArtKun

Ты уверен, что в системе нет прелинка? По-моему, оно по дефолту ставится и даже загоняется в крон. Кстати, как бы странно оно ни звучало, но прелинк является зависимостью блоба в РПМ-фьюжене.

carasin ★★★★★
()
Ответ на: комментарий от carasin

По дефолту может и ставится, только я всегда ставлю минимальную установку с ручным выбором пакетов. Как буду поступать с новой анакондой - не знаю, но пока только так.
И да, насчет rpmfusion ты определенно что-то путаешь :) На скриншоте я хотел показать, что prelink у меня в системе нет, и rpmfusion в зависимостях его тоже не тянет :)

ArtKun ★★★★★
() автор топика
Последнее исправление: ArtKun (всего исправлений: 1)
Ответ на: комментарий от ArtKun

Хм... Возможно, оно требуется для сборки пакетов с блобом. Но точно для чего-то в зависимостях я его видал.

Но раз в системе прелинка нет, тогда, действительно, моя догадка неверна.

carasin ★★★★★
()
Ответ на: комментарий от carasin

Кстати, интересная вещь произошла. Стим только что обновился и посреди рабочего стола ВНЕЗАПНО появился терминал, а в нем:

Steam needs to install these additional packages:
       	jockey-common, python-apt, zenity, xterm, libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386
Loaded plugins: fastestmirror, presto
Loading mirror speeds from cached hostfile
 * fedora: mirror.yandex.ru
 * rpmfusion-free: mirror.yandex.ru
 * rpmfusion-free-updates: mirror.yandex.ru
 * rpmfusion-nonfree: mirror.yandex.ru
 * rpmfusion-nonfree-updates: mirror.yandex.ru
 * updates: mirror.yandex.ru
No package jockey-common available.
No package python-apt available.
Package zenity-3.4.0-2.fc17.x86_64 already installed and latest version
No package libgl1-mesa-dri:i386 available.
No package libgl1-mesa-glx:i386 available.
No package libc6:i386 available.
Resolving Dependencies
--> Running transaction check
---> Package xterm.x86_64 0:286-1.fc17 will be installed
--> Processing Dependency: libXaw.so.7()(64bit) for package: xterm-286-1.fc17.x86_64
--> Running transaction check
---> Package libXaw.x86_64 0:1.0.9-3.fc17 will be installed
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies

Dependencies Resolved

================================================================================
 Package         Arch            Version                 Repository        Size
================================================================================
Installing:
 xterm           x86_64          286-1.fc17              updates          434 k
Installing for dependencies:
 libXaw          x86_64          1.0.9-3.fc17            fedora           174 k

Transaction Summary
================================================================================
Install  1 Package (+1 Dependent package)

Total download size: 608 k
Installed size: 1.6 M
Is this ok [y/N]: 
меня даже не спрашивали ввести пароль. Странно все это...

ArtKun ★★★★★
() автор топика
Ответ на: комментарий от ArtKun

С утра прилетело что-то типа того, только перед тем как, пароль всё-таки спросили ;)

carasin ★★★★★
()
Ответ на: комментарий от ArtKun

Ну вот я не понимаю, зачем ему последний драйвер нужен? Он сам, наверное, вообще 3D-ускорение не использует. Или это такой хитрый план, совместный с производителями видеокарт?

Ttt ☆☆☆☆☆
()
Ответ на: комментарий от ArtKun

Интересно конечно, но у меня работает и с 313.18, поэтому (imho) всё-таки наверное что-то было криво установлено вначале.

imul ★★★★★
()
Ответ на: комментарий от ArtKun

И с драйвером 310.14 (с другой видеокартой) не работает.

Ttt ☆☆☆☆☆
()
26 марта 2013 г.
Ответ на: комментарий от ArtKun

На убунте столкнулся с подобной проблемой, переустановка xserver и драйвера (той же версии) помогла. Что забавно - до определённого момента всё работало отлично.

gim
()
18 сентября 2014 г.

А воз и ныне там. И честно говоря, нет собого желания, разбираться кто виноват. Хочется взять и у***ть. Уж в 2014 году можно было бы избегать таких позорных багов?

anonymous
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.